/****************************************************/
/* This's a box with text and yes, no or ok buttons */
/****************************************************/

/*
This file is part of Tuxworld.

    Tuxworld is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Tuxworld is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Tuxworld.  If not, see <http://www.gnu.org/licenses/>.

Ce fichier fait partie de Tuxworld.

	Tuxworld est un logiciel libre ; vous pouvez le redistribuer ou le
	modifier suivant les termes de la GNU General Public License telle
	que publiée par la Free Software Foundation ; soit la version 3 de
	la licence, soit (à votre gré) toute version ultérieure.

	Tuxworld est distribué dans l'espoir qu'il sera utile, mais SANS
	AUCUNE GARANTIE ; pas même la garantie implicite de
	COMMERCIABILISABILITÉ ni d'ADÉQUATION à UN OBJECTIF PARTICULIER.
	Consultez la GNU General Public License pour plus de détails.

	Vous devez avoir reçu une copie de la GNU General Public License
	en même temps que Tuxworld ; si ce n'est pas le cas,
	consultez <http://www.gnu.org/licenses>.
*/

#ifndef BOX
#define BOX

#define W_MARGE 10
#define H_MARGE 100
#define X_TXT 20
#define Y_TXT 20
#define COLOR_BACK {100, 100, 255}

#include <vector>
#include <string>
#include "graphic.h"
#include <SDL/SDL_ttf.h>
#include "fonts.h"
#include "draw.h"
#include "button.h"
#include "timeleft.h"

typedef struct s_Sevents_key_joy {
   int type;
   int k_j;
   int button; // values YES, NO, OK, see button.h
} Sevents_key_joy;

enum {
   NO_BUTTONS,
   YES_NO,
   YES_
};

class CBox : public CGraphic {

   public :

      // constructor    
      CBox(const std::string& file_background, const SDL_Rect& size_, const float& deep_, const float& coef_resol_);

      //destructor
      ~CBox();

      // if ok_yes_no is false, then we show only yes and ok buttons, true only ok button
      Sevents_key_joy show(std::vector<std::string>& Smessg, SDL_Event& event, const int& ok_yes_no);
   
   private :

      // back surface
      //SDL_Surface *box_surf;
      CDraw *Odraw_box_surf;

      // text parameters
      TTF_Font *font;
      SDL_Color color_text;
      SDL_Rect rect_text;

      // size for the box
      SDL_Rect size;

      // default buttons
      CButton *button_yes, *button_no, *button_ok;
      SDL_Rect rect_button_yes, rect_button_no, rect_button_ok;

      // deep show the box in opengl
      const float deep;
};

#endif
