/********************************************************/
/* This class is for buttons with mousebuttondow action */
/********************************************************/

/*
This file is part of Tuxworld.

    Tuxworld is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Tuxworld is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Tuxworld.  If not, see <http://www.gnu.org/licenses/>.

Ce fichier fait partie de Tuxworld.

	Tuxworld est un logiciel libre ; vous pouvez le redistribuer ou le
	modifier suivant les termes de la GNU General Public License telle
	que publiée par la Free Software Foundation ; soit la version 3 de
	la licence, soit (à votre gré) toute version ultérieure.

	Tuxworld est distribué dans l'espoir qu'il sera utile, mais SANS
	AUCUNE GARANTIE ; pas même la garantie implicite de
	COMMERCIABILISABILITÉ ni d'ADÉQUATION à UN OBJECTIF PARTICULIER.
	Consultez la GNU General Public License pour plus de détails.

	Vous devez avoir reçu une copie de la GNU General Public License
	en même temps que Tuxworld ; si ce n'est pas le cas,
	consultez <http://www.gnu.org/licenses>.
*/

#ifndef BUTTON

#define BUTTON

#define BUTTON_COLOR_ON {255, 0, 100}
#define W_BUTTON 128

#include "interactive_img.h"
#include "macros.h"
#include <string>

// default values for buttons
enum {
   YES,
   NO,
   OK
};

class CButton : public CInteractive_img {
   public :
 
   // the constructor 
   // the button can be YES, NO, OK type vlue
   CButton(SDL_Rect& coord_, const int& type_button, const float& deep_, const float& coef_resol_);

   // the destructor
   ~CButton();

   // we show the button on or off
   void show_on();
   void show_off();

   private :

   // to draw buttons in opengl mode
   CDraw *ODraw_button_off, *ODraw_button_on;
};

inline void CButton::show_off() {

   ODraw_button_off->show_GL(deep);

}

inline void CButton::show_on() {

   ODraw_button_on->show_GL(deep);

}

#endif
