#include "dynamic_boss_ladybug.h"

using namespace std;

CDynamic_Boss_Ladybug::CDynamic_Boss_Ladybug(const SDyn_obj& dyn_obj_, const int& nbr_lifes_) :
                                           status_boss(BOSS_POSE), time_ticks(TIME_MAX), CDynamic_Boss(dyn_obj_, nbr_lifes_, 50) {
}

int CDynamic_Boss_Ladybug::status() {
   return status_boss;
}

void CDynamic_Boss_Ladybug::check(vector<shared_ptr<CDynamic_Fire> >& VFire_, const TVector2d<float>& p_tux) {

   time_ticks?--time_ticks:time_ticks=TIME_MAX;

   // if boss is hurted by fire, he jump
   if(CDynamic_Boss::check_(VFire_, p_tux) && (time_ticks > 420 || time_ticks < 301 ))
      time_ticks = 420;

   // boss is static
   if(time_ticks > 420) {
      status_boss = BOSS_POSE;   
      return;
   }

   // boss run
   if(time_ticks == 420)
      run(6.0f);

   if(time_ticks > 300 && time_ticks < 421) {
      status_boss = BOSS_RUN;   
      return;
   }

   // boss stop
   if(time_ticks == 300)
      stop();

   // the boss attack
   if(time_ticks == 220 || time_ticks == 180 || time_ticks == 140 || time_ticks == 100 || time_ticks == 60) {
      status_boss = BOSS_SHUT;   
      return;
   }
   else {
      status_boss = BOSS_ATTACK;   
      return;
   }
}
