#include "interactive_img.h"

CInteractive_img::CInteractive_img(const bool& opengl_, SDL_Surface *surf, SDL_Rect& coord, const float& deep_, float coef_resol_) : CGraphic(coord, coef_resol_), on_off(false), deep(deep_)
{
}

CInteractive_img::~CInteractive_img() {
}

void CInteractive_img::show_on() {}
void CInteractive_img::show_off() {}

bool CInteractive_img::eval(SDL_Event& ev) {

   // to remember if the image is actevated or not
   bool tmp_on_off = on_off;

   // mouse is it over button ?
   if(ev.motion.x > object_properties().x * coef_resol && ev.motion.x < object_properties().x * coef_resol + object_properties().w * coef_resol
   && ev.motion.y > object_properties().y * coef_resol && ev.motion.y < object_properties().y * coef_resol + object_properties().h * coef_resol)
      on_off = true;
//std::cout << "ON" << std::endl;
   else
      on_off = false;
//std::cout << "OFF" << std::endl;

   // if mouse go out or go into the button,we change the color button
   if(on_off != tmp_on_off)
      if(on_off)
         show_on();
      else
         show_off();

   // if we press button
   if(on_off && ev.type == SDL_MOUSEBUTTONDOWN)
      return true;
   else
      return false;
}
