/***********************************/
/* Sequance surfaces for animation */
/**** ******************************/

/*
This file is part of Tuxworld.

    Tuxworld is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Tuxworld is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Tuxworld.  If not, see <http://www.gnu.org/licenses/>.

Ce fichier fait partie de Tuxworld.

	Tuxworld est un logiciel libre ; vous pouvez le redistribuer ou le
	modifier suivant les termes de la GNU General Public License telle
	que publiée par la Free Software Foundation ; soit la version 3 de
	la licence, soit (à votre gré) toute version ultérieure.

	Tuxworld est distribué dans l'espoir qu'il sera utile, mais SANS
	AUCUNE GARANTIE ; pas même la garantie implicite de
	COMMERCIABILISABILITÉ ni d'ADÉQUATION à UN OBJECTIF PARTICULIER.
	Consultez la GNU General Public License pour plus de détails.

	Vous devez avoir reçu une copie de la GNU General Public License
	en même temps que Tuxworld ; si ce n'est pas le cas,
	consultez <http://www.gnu.org/licenses>.
*/

#ifndef SEQUENCE
#define SEQUENCE

#define NBR_SEQ_ANIM 128
#define NBR_EXPLOSIONS 10
#define NBR_ENNEMIES 5
#define NBR_COINS 5
#define NBR_POWERS 2
#define NBR_FIRES 5
#define NBR_NUTTS 5
#define NBR_APPEARANCES_RABBITS 8
#define NBR_APPEARANCES_COINS 9

static const int seq_coord_explosions[NBR_EXPLOSIONS][2] = {
   { -50, -100 },
   { 50, -130 },
   { 0, -250 },
   { -20, -110 },
   { 20, -240 },
   { -50, -200 },
   { 50, -230 },
   { 0, -100 },
   { -20, -210 },
   { 20, -140 },
};

static const char seq_tux_game[96] = {
   0, 0, 0, 0, 0, 0, 0, 0, //1
   1, 1, 1, 1, 1, 1, 1, 1, //2
   2, 2, 2, 2, 2, 2, 2, 2, //3
   3, 3, 3, 3, 3, 3, 3, 3, //4
   2, 2, 2, 2, 2, 2, 2, 2, //5
   1, 1, 1, 1, 1, 1, 1, 1, //6
   0, 0, 0, 0, 0, 0, 0, 0, //7
   6, 6, 6, 6, 6, 6, 6, 6, //8
   5, 5, 5, 5, 5, 5, 5, 5, //9
   4, 4, 4, 4, 4, 4, 4, 4, //10
   5, 5, 5, 5, 5, 5, 5, 5, //11
   6, 6, 6, 6, 6, 6, 6, 6, //12
};

static const char seq_boss_static_game[96] = {
   0, 0, 0, 0, 0, 0, 0, 0, //1
   1, 1, 1, 1, 1, 1, 1, 1, //2
   2, 2, 2, 2, 2, 2, 2, 2, //3
   3, 3, 3, 3, 3, 3, 3, 3, //4
   2, 2, 2, 2, 2, 2, 2, 2, //5
   1, 1, 1, 1, 1, 1, 1, 1, //6
   0, 0, 0, 0, 0, 0, 0, 0, //7
   1, 1, 1, 1, 2, 2, 2, 2, //8
   3, 3, 3, 3, 4, 4, 4, 4, //9
   5, 5, 5, 5, 6, 6, 6, 6, //10
   7, 7, 7, 7, 6, 6, 5, 5, //11
   4, 4, 3, 3, 2, 2, 1, 1, //12
};

static const char seq_boss_jump_game[64] = {
   0, 0, 0, 0, 0, 0, 0, 0, //1
   8, 8, 8, 8, 8, 8, 8, 8, //2
   9, 9, 9, 9, 9, 9, 9, 9, //3
   10, 10, 10, 10, 10, 10, 10, 10,//4
   11, 11, 11, 11, 11, 11, 11, 11, //5
   10, 10, 10, 10, 10, 10, 10, 10,//6
   9, 9, 9, 9, 9, 9, 9, 9, //7
   8, 8, 8, 8, 8, 8, 8, 8, //8
};


static const char seq_tux_death[16] = {
   0, 0, 0, 0, 1, 1, 1, 1, //1
   1, 1, 1, 1, 0, 0, 0, 2, //2
};

static const char seq_explosion[24] = {
   0, 1, 2, 3, 4, 5, 6, 7, //1
   8, 9, 10, 11, 12, 13, 14, 14, //2
   13, 14, 12, 10, 8, 6, 4, 0, //3   
};

static const char seq_coin[120] = {
   0, 0, 0, 0, 0, 0, 0, 0, //1
   1, 1, 1, 1, 1, 1, 1, 1, //2
   2, 2, 2, 2, 2, 2, 2, 2, //3
   3, 3, 3, 3, 3, 3, 3, 3, //4
   4, 4, 4, 4, 4, 4, 4, 4, //5
   5, 5, 5, 5, 5, 5, 5, 5, //6
   6, 6, 6, 6, 6, 6, 6, 6, //7
   7, 7, 7, 7, 7, 7, 7, 7, //8
   8, 8, 8, 8, 8, 8, 8, 8, //9
   9, 9, 9, 9, 9, 9, 9, 9, //10
   10, 10, 10, 10, 10, 10, 10, 10, //11
   11, 11, 11, 11, 11, 11, 11, 11, //12
   12, 12, 12, 12, 12, 12, 12, 12, //13
   13, 13, 13, 13, 13, 13, 13, 13, //14
   14, 14, 14, 14, 14, 14, 14, 14, //15 
};

static const char seq_heart[1] = { 0 };
static const char seq_power[1] = { 0 };
static const char seq_fire[1] = { 0 };
static const char seq_story[1] = { 0 };

#endif
